"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setup = exports.ngAdd = void 0;
const tasks_1 = require("@angular-devkit/schematics/tasks");
const utils_1 = require("../utils");
function ngAdd(options) {
    return (host, context) => {
        const ngCoreVersionTag = utils_1.getPackageVersionFromPackageJson(host, '@angular/core');
        const angularDependencyVersion = ngCoreVersionTag || '0.0.0-NG';
        const packageName = '@angular-builders/custom-webpack';
        const version = tilderize(angularDependencyVersion);
        utils_1.addPackageToPackageJson(host, packageName, version, 'devDependencies');
        const installTask = context.addTask(new tasks_1.NodePackageInstallTask());
        context.addTask(new tasks_1.RunSchematicTask('angular-custom-webpack-chaining', 'setup-custom-webpack', options), [installTask]);
    };
}
exports.ngAdd = ngAdd;
function setup(options) {
    return (host) => utils_1.setAllCustomWebpackBuilderToAngularJson(host, options.project, options.path);
}
exports.setup = setup;
function tilderize(version) {
    const [major] = utils_1.parseVersion(version);
    return `~${major}.0.0`;
}
//# sourceMappingURL=index.js.map